SoNodeList Class Reference

The SoNodeList class is a container for pointers to SoNode objects. More...

`#include <Inventor/lists/SoNodeList.h>`

Inheritance diagram for SoNodeList:

## Public Member Functions

| SoNodeList (void)
| SoNodeList (const int size)
| SoNodeList (const SoNodeList &nl)
| ~SoNodeList ()
void | append (SoNode *const ptr)
SoNode * | operator[] (const int i) const
SoNodeList & | operator= (const SoNodeList &nl)
Public Member Functions inherited from SoBaseList
| SoBaseList (void)
| SoBaseList (const int size)
| SoBaseList (const SoBaseList &l)
| ~SoBaseList ()
void | append (SoBase *ptr)
void | insert (SoBase *ptr, const int addbefore)
void | remove (const int index)
void | removeItem (SoBase *item)
void | truncate (const int length)
void | copy (const SoBaseList &l)
SoBaseList & | operator= (const SoBaseList &l)
SoBase * | operator[] (const int i) const
void | set (const int i, SoBase *const ptr)
void | addReferences (const SbBool flag)
SbBool | isReferencing (void) const
Public Member Functions inherited from SbPList
| SbPList (const int sizehint=DEFAULTSIZE)
| SbPList (const SbPList &l)
| ~SbPList ()
void | copy (const SbPList &l)
SbPList & | operator= (const SbPList &l)
void | fit (void)
void | append (void *item)
int | find (const void *item) const
void | insert (void *item, const int insertbefore)
void | removeItem (void *item)
void | remove (const int index)
void | removeFast (const int index)
int | getLength (void) const
void | truncate (const int length, const int fit=0)
void ** | getArrayPtr (const int start=0) const
void *& | operator[] (const int index) const
int | operator== (const SbPList &l) const
int | operator!= (const SbPList &l) const
void * | get (const int index) const
void | set (const int index, void *item)

## Additional Inherited Members

Protected Member Functions inherited from SbPList
void | expand (const int size)
int | getArraySize (void) const

## Detailed Description

The SoNodeList class is a container for pointers to SoNode objects.

As this class inherits SoBaseList, referencing and dereferencing will default be done on the objects at append(), remove(), insert() etc.

## Constructor & Destructor Documentation

## SoNodeList() [1/3]

SoNodeList::SoNodeList | ( | void |  | ) |

Default constructor.

## SoNodeList() [2/3]

SoNodeList::SoNodeList | ( | const int | size | ) |

Constructor with a hint about the number of elements the list will hold.

See also
  SoBaseList::SoBaseList(const int)

## SoNodeList() [3/3]

SoNodeList::SoNodeList | ( | const SoNodeList & | nl | ) |

Copy constructor.

See also
  SoBaseList::SoBaseList(const SoBaseList &)

## ~SoNodeList()

SoNodeList::~SoNodeList | ( |  | ) |

Destructor.

See also
  SoBaseList::~SoBaseList()

## Member Function Documentation

## append()

void SoNodeList::append | ( | SoNode *const | ptr | ) |

Append ptr to the list.

See also
  SoBaseList::append()

## operator[]()

SoNode * SoNodeList::operator[] | ( | const int | i | ) | const

Return node pointer at index i.

See also
  SoBaseList::operator[]()

## operator=()

SoNodeList & SoNodeList::operator= | ( | const SoNodeList & | nl | ) |

Copy contents of list nl to this list.

See also
  SoBaseList::operator=()

The documentation for this class was generated from the following files:

- SoNodeList.h
- SoNodeList.cpp